<?php 


function open_products($data,$post) {

$user = $post["user"];
$pass = $post["pass"];
$token = $data["token"];


if (!$user or !$pass or !$token) {

        $data['msg'] = $ed;
        $data['code'] = 100;
        $data['status'] = '待开通';
}

$ed = @file_get_contents("http://47.96.225.190:9160/USER/api.php?api=add&key=&user=".$user."&bi=".$token."&pass=".$pass);
    if ($ed == "成功") {
        $data['msg'] = $ed;
        $data['code'] = 200;
        $data['status'] = '已激活';
    }else{
    
            $data['msg'] = $ed;
        $data['code'] = 100;
        $data['status'] = '待开通';
    }

    return $data; 
}

function show_product($data) {
    
    return "Token已到账~~~";
}




function stop_product($data) {
    
        $data['code'] = 200;
        
        
    return $data;
}



function ready_products($data) {
$templatePath = './mods/ai_chat/ready.html'; // 模板路径
    $variables = $data;
    $variables["id"] = $_GET["id"];
    return h_t($templatePath, $variables);
}